<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gamestates/Gameplay.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_a965fb386e4455e156591f466d68ffdd.html">gamestates</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Gameplay.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Gameplay_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#include &quot;<a class="code" href="GameState_8hpp.html">GameState.hpp</a>&quot;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="Timer_8hpp.html">core/Timer.hpp</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;<a class="code" href="Application_8hpp.html">core/Application.hpp</a>&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;<a class="code" href="Map_8hpp.html">core/Map.hpp</a>&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;<a class="code" href="SceneEvent_8hpp.html">events/SceneEvent.hpp</a>&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html">   11</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1Gameplay.html">Gameplay</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1GameState.html">GameState</a></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a328b60e39c3e42c3934fb9b8fe6c215f">   14</a></span>    <a class="code hl_function" href="classgg_1_1Gameplay.html#a328b60e39c3e42c3934fb9b8fe6c215f">Gameplay</a>(std::string );</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a31ae1423b8e4197bec904b594419ad1b">   15</a></span>    <a class="code hl_function" href="classgg_1_1Gameplay.html#a31ae1423b8e4197bec904b594419ad1b">~Gameplay</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#acfadd107fed3c592faec7bf2cc594ec1">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#acfadd107fed3c592faec7bf2cc594ec1">Enter</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#af4fff19dc4a7848680586c134841aaec">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#af4fff19dc4a7848680586c134841aaec">Exit</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a62f7697ab2b80b8663985217d02f4631">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#a62f7697ab2b80b8663985217d02f4631">OnEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a0526d473d0edda7c71ccd049c7c7abbd">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#a0526d473d0edda7c71ccd049c7c7abbd">Update</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#aa7c208dd9325562dd9203b4db25a6020">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#aa7c208dd9325562dd9203b4db25a6020">NewGame</a>();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a88bb43938f1defeed996a31149d29465">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#a88bb43938f1defeed996a31149d29465">LoadGame</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a808ff056bd75ca855bec426c22745055">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#a808ff056bd75ca855bec426c22745055">SaveGame</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a96d1ed32909459cdea9c68ccbd110b60">   27</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#a96d1ed32909459cdea9c68ccbd110b60">GetMap</a>() -&gt; <a class="code hl_class" href="classgg_1_1Map.html">Map</a> *;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a953c4d2118a2266a8cbe54f7e19f8fa0">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#a953c4d2118a2266a8cbe54f7e19f8fa0">Build</a>(<a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a76a69b3e834982cd5b64fbb7a391eeda">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#a76a69b3e834982cd5b64fbb7a391eeda">Demolish</a>(<a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *tile);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#afe5bc91481c10de81464bc4a7a4dfb3a">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#afe5bc91481c10de81464bc4a7a4dfb3a">SetOrientation</a>(<a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a98a8c20510d1028bfd2582285b30e4ed">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#a98a8c20510d1028bfd2582285b30e4ed">IncreaseTaxFactor</a>();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#afa9594a9dd7e6c6c498d39191fe0ca0c">   33</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#afa9594a9dd7e6c6c498d39191fe0ca0c">DecreaseTaxFactor</a>();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#a539e1ef75a7614894645ee3cf9ff6264">   35</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#a539e1ef75a7614894645ee3cf9ff6264">MapNavigate</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="classgg_1_1Gameplay.html#ab08df82618b9c1bd32f89387f7e44de0">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Gameplay.html#ab08df82618b9c1bd32f89387f7e44de0">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) <span class="keyword">const override</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="keywordtype">void</span> OnPauseEvent();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keywordtype">void</span> OnMinutePassedEvent();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="keywordtype">void</span> OnTenSecondsPassedEvent();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="keywordtype">void</span> OnControlsMenuEvent();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="keywordtype">void</span> OnMoveCameraUp();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="keywordtype">void</span> OnMoveCameraDown();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="keywordtype">void</span> OnMoveCameraLeft();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="keywordtype">void</span> OnMoveCameraRight();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="keywordtype">void</span> OnMoveDiagDownLeft();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="keywordtype">void</span> OnMoveDiagDownRight();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="keywordtype">void</span> OnMoveDiagUpLeft();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="keywordtype">void</span> OnMoveDiagUpRight();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="keywordtype">void</span> DecreaseBudget(<span class="keywordtype">unsigned</span>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="keywordtype">void</span> IncreaseBudget(<span class="keywordtype">unsigned</span>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="keywordtype">void</span> IncreasePopulation(<span class="keywordtype">unsigned</span>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="keywordtype">void</span> DecreasePopulation(<span class="keywordtype">unsigned</span>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="keywordtype">void</span> DecreasePotentialProfit(<span class="keywordtype">unsigned</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="keywordtype">void</span> IncreasePotentialProfit(<span class="keywordtype">unsigned</span>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="keywordtype">void</span> CollectTaxes();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="keywordtype">void</span> CollectProfits();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="keywordtype">void</span> BuildResidential(<a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="keywordtype">void</span> BuildIndustrial(<a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="keywordtype">void</span> BuildNature(<a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *, <a class="code hl_enumeration" href="namespacegg.html#a3a093fefaeb8d2d7b35b1356e2ea5ad0">TerrainType</a>);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="keywordtype">void</span> BuildRoad(<a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *, <a class="code hl_enumeration" href="namespacegg.html#a59e8f774a3ab30332c9369908203b584">RoadType</a>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="keywordtype">void</span> BuildBridge(<a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *, <a class="code hl_enumeration" href="namespacegg.html#a59e8f774a3ab30332c9369908203b584">RoadType</a>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="keywordtype">void</span> UpdatePopulationLabel();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="keywordtype">void</span> UpdateBudgetLabel();</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="keywordtype">void</span> UpdatePotentialProfitLabel();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="keywordtype">void</span> UpdateInfo(<span class="keyword">const</span> std::string &amp;, sf::Color);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="keywordtype">bool</span> mZoom = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <a class="code hl_class" href="classgg_1_1Map.html">Map</a> *mMap = <span class="keyword">nullptr</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    std::string mCityName;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    std::string mSaveFilePath;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="keywordtype">unsigned</span> mCityPopulation;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <span class="keywordtype">unsigned</span> mCityBudget;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="keywordtype">unsigned</span> mTaxFactor = 1;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <span class="keywordtype">unsigned</span> mPotentialProfit = 0;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> mNumberOfIndustrial = 0;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <a class="code hl_class" href="classgg_1_1Timer.html">Timer</a> mTimer;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="keywordtype">bool</span> mDirty = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>};</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aApplication_8hpp_html"><div class="ttname"><a href="Application_8hpp.html">Application.hpp</a></div></div>
<div class="ttc" id="aGameState_8hpp_html"><div class="ttname"><a href="GameState_8hpp.html">GameState.hpp</a></div></div>
<div class="ttc" id="aMap_8hpp_html"><div class="ttname"><a href="Map_8hpp.html">Map.hpp</a></div></div>
<div class="ttc" id="aSceneEvent_8hpp_html"><div class="ttname"><a href="SceneEvent_8hpp.html">SceneEvent.hpp</a></div></div>
<div class="ttc" id="aTimer_8hpp_html"><div class="ttname"><a href="Timer_8hpp.html">Timer.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1GameState_html"><div class="ttname"><a href="classgg_1_1GameState.html">gg::GameState</a></div><div class="ttdef"><b>Definition:</b> GameState.hpp:12</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html"><div class="ttname"><a href="classgg_1_1Gameplay.html">gg::Gameplay</a></div><div class="ttdef"><b>Definition:</b> Gameplay.hpp:12</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a0526d473d0edda7c71ccd049c7c7abbd"><div class="ttname"><a href="classgg_1_1Gameplay.html#a0526d473d0edda7c71ccd049c7c7abbd">gg::Gameplay::Update</a></div><div class="ttdeci">void Update() override</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a31ae1423b8e4197bec904b594419ad1b"><div class="ttname"><a href="classgg_1_1Gameplay.html#a31ae1423b8e4197bec904b594419ad1b">gg::Gameplay::~Gameplay</a></div><div class="ttdeci">~Gameplay() override</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a328b60e39c3e42c3934fb9b8fe6c215f"><div class="ttname"><a href="classgg_1_1Gameplay.html#a328b60e39c3e42c3934fb9b8fe6c215f">gg::Gameplay::Gameplay</a></div><div class="ttdeci">Gameplay(std::string)</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a539e1ef75a7614894645ee3cf9ff6264"><div class="ttname"><a href="classgg_1_1Gameplay.html#a539e1ef75a7614894645ee3cf9ff6264">gg::Gameplay::MapNavigate</a></div><div class="ttdeci">void MapNavigate()</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a62f7697ab2b80b8663985217d02f4631"><div class="ttname"><a href="classgg_1_1Gameplay.html#a62f7697ab2b80b8663985217d02f4631">gg::Gameplay::OnEvent</a></div><div class="ttdeci">void OnEvent(IEvent *e) override</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a76a69b3e834982cd5b64fbb7a391eeda"><div class="ttname"><a href="classgg_1_1Gameplay.html#a76a69b3e834982cd5b64fbb7a391eeda">gg::Gameplay::Demolish</a></div><div class="ttdeci">void Demolish(Tile *tile)</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a808ff056bd75ca855bec426c22745055"><div class="ttname"><a href="classgg_1_1Gameplay.html#a808ff056bd75ca855bec426c22745055">gg::Gameplay::SaveGame</a></div><div class="ttdeci">void SaveGame()</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a88bb43938f1defeed996a31149d29465"><div class="ttname"><a href="classgg_1_1Gameplay.html#a88bb43938f1defeed996a31149d29465">gg::Gameplay::LoadGame</a></div><div class="ttdeci">void LoadGame()</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a953c4d2118a2266a8cbe54f7e19f8fa0"><div class="ttname"><a href="classgg_1_1Gameplay.html#a953c4d2118a2266a8cbe54f7e19f8fa0">gg::Gameplay::Build</a></div><div class="ttdeci">void Build(Tile *)</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a96d1ed32909459cdea9c68ccbd110b60"><div class="ttname"><a href="classgg_1_1Gameplay.html#a96d1ed32909459cdea9c68ccbd110b60">gg::Gameplay::GetMap</a></div><div class="ttdeci">auto GetMap() -&gt; Map *</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_a98a8c20510d1028bfd2582285b30e4ed"><div class="ttname"><a href="classgg_1_1Gameplay.html#a98a8c20510d1028bfd2582285b30e4ed">gg::Gameplay::IncreaseTaxFactor</a></div><div class="ttdeci">void IncreaseTaxFactor()</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_aa7c208dd9325562dd9203b4db25a6020"><div class="ttname"><a href="classgg_1_1Gameplay.html#aa7c208dd9325562dd9203b4db25a6020">gg::Gameplay::NewGame</a></div><div class="ttdeci">void NewGame()</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_ab08df82618b9c1bd32f89387f7e44de0"><div class="ttname"><a href="classgg_1_1Gameplay.html#ab08df82618b9c1bd32f89387f7e44de0">gg::Gameplay::draw</a></div><div class="ttdeci">void draw(sf::RenderTarget &amp;target, sf::RenderStates states) const override</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_acfadd107fed3c592faec7bf2cc594ec1"><div class="ttname"><a href="classgg_1_1Gameplay.html#acfadd107fed3c592faec7bf2cc594ec1">gg::Gameplay::Enter</a></div><div class="ttdeci">void Enter() override</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_af4fff19dc4a7848680586c134841aaec"><div class="ttname"><a href="classgg_1_1Gameplay.html#af4fff19dc4a7848680586c134841aaec">gg::Gameplay::Exit</a></div><div class="ttdeci">void Exit() override</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_afa9594a9dd7e6c6c498d39191fe0ca0c"><div class="ttname"><a href="classgg_1_1Gameplay.html#afa9594a9dd7e6c6c498d39191fe0ca0c">gg::Gameplay::DecreaseTaxFactor</a></div><div class="ttdeci">void DecreaseTaxFactor()</div></div>
<div class="ttc" id="aclassgg_1_1Gameplay_html_afe5bc91481c10de81464bc4a7a4dfb3a"><div class="ttname"><a href="classgg_1_1Gameplay.html#afe5bc91481c10de81464bc4a7a4dfb3a">gg::Gameplay::SetOrientation</a></div><div class="ttdeci">void SetOrientation(Tile *)</div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1Map_html"><div class="ttname"><a href="classgg_1_1Map.html">gg::Map</a></div><div class="ttdef"><b>Definition:</b> Map.hpp:15</div></div>
<div class="ttc" id="aclassgg_1_1Tile_html"><div class="ttname"><a href="classgg_1_1Tile.html">gg::Tile</a></div><div class="ttdef"><b>Definition:</b> Tile.hpp:21</div></div>
<div class="ttc" id="aclassgg_1_1Timer_html"><div class="ttname"><a href="classgg_1_1Timer.html">gg::Timer</a></div><div class="ttdef"><b>Definition:</b> Timer.hpp:7</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacegg_html_a3a093fefaeb8d2d7b35b1356e2ea5ad0"><div class="ttname"><a href="namespacegg.html#a3a093fefaeb8d2d7b35b1356e2ea5ad0">gg::TerrainType</a></div><div class="ttdeci">TerrainType</div><div class="ttdef"><b>Definition:</b> TerrainTile.hpp:11</div></div>
<div class="ttc" id="anamespacegg_html_a59e8f774a3ab30332c9369908203b584"><div class="ttname"><a href="namespacegg.html#a59e8f774a3ab30332c9369908203b584">gg::RoadType</a></div><div class="ttdeci">RoadType</div><div class="ttdef"><b>Definition:</b> RoadTile.hpp:11</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
